Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`error`.`StreamError``

exception documentation

`class StreamError(BaseError): (source)`

Constructor: `StreamError(condition, text, textLang, appCondition)`

View In Hierarchy

Stream Error exception.

Refer to RFC 3920, section 4.7.3, for the allowed values for `condition`.

Method | `getElement` | Get XML representation from self.

Inherited from `BaseError`:

Method | `__init__` | Undocumented
Method | `__str__` | Undocumented
Class Variable | `namespace` | The namespace of the `error` element generated by `getElement`.
Instance Variable | `appCondition` | Application specific condition element, supplementing the error condition in `condition`.
Instance Variable | `condition` | The error condition. The valid values are defined by subclasses of `BaseError`.
Instance Variable | `text` | Optional text message to supplement the condition or application specific condition.
Instance Variable | `textLang` | Identifier of the language used for the message in `text`. Values are as described in RFC 3066.

def getElement(self): (source)
overrides `twisted.words.protocols.jabber.error.BaseError.getElement`

Get XML representation from self.

Overrides the base `BaseError.getElement` to make sure the returned element is in the XML Stream namespace.

Returns
`domish.Element` | Undocumented